namespace inutralia.Views
{
    using inutralia.ViewModels;
    using System.Linq;
    using Xamarin.Forms;
    using Xamarin.Forms.Xaml;

    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class TrivialGameView : ContentPage
    {
        protected TrivialGameViewModel ViewModel => BindingContext as TrivialGameViewModel;

        public TrivialGameView()
        {
            InitializeComponent();
        }

        private async void TrivialItemTapped(object sender, ItemTappedEventArgs e)
        {
            // Obtiene el índice de la respuesta seleccionada
            var index = ((ListView)sender).ItemsSource.Cast<object>().ToList().IndexOf(e.Item);

            // Deselecciona el item para que no le cambie el color de fondo
            ((ListView)sender).SelectedItem = null;

            await ViewModel.Answer(index);
        }

        private void Results_ItemTapped(object sender, ItemTappedEventArgs e)
        {
            // Deselecciona el item para que no le cambie el color de fondo
            ((ListView)sender).SelectedItem = null;
        }
    }
}
